# Copyright 2009 Canonical Ltd.  All rights reserved.

import ez_setup
ez_setup.use_setuptools()

import sys
from setuptools import setup, find_packages

__version__ = '0.9.1DEV'


setup(
    name='lazr-js',
    namespace_packages=['lazr'],
    version=__version__,
    packages=['lazr', 'lazrjs'],
    py_modules=['jsmin'],
    package_dir={
        'lazrjs': 'src-js/lazrjs',
        '': 'src-py'},
    include_package_data=True,
    zip_safe=False,
    maintainer='Canonical JavaScripters',
    maintainer_email='lazr-dev@lists.launchpad.net',
    description=('Collection of JS widgets'),
    license='GPL v3',
    install_requires=[
        'setuptools',
    ],
    url='https://launchpad.net/lazr-js',
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Programming Language :: JavaScript",
        "Programming Language :: Python",
    ],
    extras_require=dict(
        jsbuild = ["cssutils"],
        jslint = ["bzr"],
        test = ["cssutils", "lazr.testing", "Paste"],
        yuimeta = ["cssutils", "simplejson"],
        ),
    entry_points=dict(
        console_scripts=[
            'jsbuild=lazr.js.build:main',
            'jslint=lazr.js.jslint:main',
            'jsscaffold=lazr.js.scaffold:main',
            'yuimeta=lazr.js.meta:main',
        ]
    ),
)
