import os
import unittest
import pkg_resources

from lazr.testing.jstestdriver import JsTestDriverTestCase


def get_root_directory():
    """Get the top-level directory for this package."""
    path = __file__
    for i in xrange(5):
        # The top-level directory is 5 levels up from here.
        path = os.path.dirname(path)
    return path


class LazrWidgetsTest(JsTestDriverTestCase):

    config_filename = os.path.join(get_root_directory(), "widgets.conf")


def test_suite():
    assert os.path.exists(LazrWidgetsTest.config_filename)
    suite = unittest.TestSuite()
    suite.addTests(unittest.makeSuite(LazrWidgetsTest))
    return suite
